from time import sleep
import spidev
spi = spidev.SpiDev()
spi.open(0,0)
spi.max_speed_hz = 250000
color = [0]

try:
    while True:
        # cycle through 7 RGB LED colors
        color[0] += 1
        if(color[0] > 7):
            color[0] = 1
        # send 1 byte (RGB color) and store response (POT value)  
        resp = spi.xfer2(color)
        print resp
        sleep(1)

finally:                # run on exit
    spi.close()         # clean up
    print "All cleaned up."
